Page MenuHomePhabricator

Section-level images: duplicate functionality that is identical to the article-level "add an image" task
Closed, ResolvedPublic

Assigned To
Authored By
KStoller-WMF
May 11 2023, 9:26 PM
Referenced Files
F37089856: Screen Shot 2023-06-01 at 3.26.07 PM.png
Jun 1 2023, 10:32 PM
F36993203: Edit summary rejected.png
May 11 2023, 9:33 PM
F36993202: Edit summary reject.png
May 11 2023, 9:33 PM
F36993195: Edit summary.png
May 11 2023, 9:33 PM
F36993194: Edit summary accept.png
May 11 2023, 9:33 PM
F36993191: Image metadata.png
May 11 2023, 9:26 PM
F36993190: Image metadata (1).png
May 11 2023, 9:26 PM
F36993187: Full image.png
May 11 2023, 9:26 PM

Description

User story & summary:

As a logged in newcomer, I want a structured task that helps me add an image to a specific section within an article, because then I can learn to edit Wikipedia in a useful way.

Background & research:

Structured tasks break down editing workflows into a series of steps that newcomers can accomplish easily. Newcomer tasks increase newcomer activation (+11.6%), which flows on through to increased retention 1. Initial data shows that structured tasks help improve activation and retention even further 2.

Design:

Desktop Figma designs

Mobile Figma designs

Acceptance Criteria:

Given I'm completing a section-level "add an image" task,
Then the basic functionality that is the same as the article-level "add an image" task remains unchanged

User optionDesignFigma specs for next step
Not sure
Dialog.png (199×318 px, 10 KB)
“Not sure” confirmation dialog (Follows the same specifications as Add an image structured task)
x
Dialog (1).png (222×318 px, 13 KB)
Leave suggestions dialog (Follows the same specifications as Add an image structured task)
minimize suggestion, only available on mobile.
AI-image-suggest-collapsed.png (53×360 px, 4 KB)
collapsed suggestion mode
Full screen image Triggered when anywhere in the image thumbnail on the image inspector is selected (not only the fullscreen icon area). Uses the existing MediaViewer, but without the bottom image details area.
Full image (1).png (640×360 px, 151 KB)
Full image.png (900×1 px, 271 KB)
Full screen image (Follows the same specifications as Add an image structured task)
Image metadata Image details appear in a simple message dialog over the article and inspector contents. There is a link from the dialog to view the image and details on its file page on Commons. Triggered when any part of the image title, description, and ‘view image details’ is selected.
Image metadata (1).png (640×360 px, 46 KB)
Image metadata.png (900×1 px, 222 KB)
Image metadata (during image evaluation (Follows the same specifications as Add an image structured task)
Edit summary for added image and caption
Edit summary accept.png (640×360 px, 79 KB)
Edit summary.png (900×1 px, 245 KB)
Edit summary for added image (Follows the same specifications as Add an image structured task)
Edit summary for rejected image and captionthe spec is unrelated to the task scope
Edit summary reject.png (640×360 px, 18 KB)
Edit summary rejected.png (900×1 px, 199 KB)
Edit summary for rejected image (Follows the same specifications as Add an image structured task)

Event Timeline

KStoller-WMF updated the task description. (Show Details)

I think this happened as part of T329277: Section-level images: AddSectionImage plugin for VisualEditor. Moving to QA so @Etonkovidova can confirm (once we are in a QA-able state).

Checked in betalabs and marked with the specs that looks as designed.

Two items (with ):
(1) The current title is: "Add an image to an unillustrated article"

Screen Shot 2023-06-01 at 3.26.07 PM.png (168×1 px, 34 KB)

minimize suggestion, only available on mobile.
AI-image-suggest-collapsed.png (53×360 px, 4 KB)
collapsed suggestion mode

- DONE - N/A> (2) The current behavior: the rejection summary dialog doesn't appear for Add image and for section-level add image tasks. You cannot "publish" rejection action. The rejection action is not recorded in the article history. Was it a recent change in the specs?

Edit summary for rejected image and caption
Edit summary reject.png (640×360 px, 18 KB)
Edit summary rejected.png (900×1 px, 199 KB)
Edit summary for rejected image (Follows the same specifications as Add an image structured task)

The current title is still displayed as: "Add an image to an unillustrated article" (checked on cswiki betalabs and eswiki betalabs:

Screen Shot 2023-06-01 at 3.26.07 PM.png (168×1 px, 34 KB)

Since the following spec is not done, moving the task to Ready for Development for better visibility:

minimize suggestion, only available on mobile.
AI-image-suggest-collapsed.png (53×360 px, 4 KB)
collapsed suggestion mode

The current title is still displayed as: "Add an image to an unillustrated article" (checked on cswiki betalabs and eswiki betalabs:

Screen Shot 2023-06-01 at 3.26.07 PM.png (168×1 px, 34 KB)

That is fixed in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GrowthExperiments/+/927761 which I just +2'ed

Checked in wmf.15 - all specs are in place.